input:read-only {background-color:rgba(0,0,0,.05);cursor: not-allowed;padding:.2em .3em !important;}
input:read-only:focus{border:1px solid rgba(0,0,0,.5) !important;box-shadow: 0 3px 1px rgba(0, 0, 0, 0) !important;}
.no-padding{padding: 0 !important;}
.no-outline{outline: none !important;}
.padding-btm-1{padding-bottom: 1em !important;}
.padding-top-1{padding-top: 1em !important;}
.padding-top-1-left-0{padding: 1em 0 !important;}
.padding-top-p5{padding: .5em !important;}
.padding-top-p5-left-0{padding: .5em 0 !important;}
.no-padding-left{padding-left: 0 !important;}
.no-shadow{-webkit-box-shadow: 0 3px 1px rgba(0, 0, 0, 0);box-shadow: 0 3px 1px rgba(0, 0, 0, 0);}
.no-border{border: none !important;}
.no-border-bottom{border-bottom: none !important;}
.no-border-left{border-left: none !important;}
.no-padding-bottom{padding-bottom: 0 !important;}
.no-padding-top{padding-top: 0 !important;}
.no-margin{margin: 0 !important;}
.no-margin-btm{margin-bottom: 0 !important;}
.no-margin-top{margin-top: 0 !important;}
.margin-lft-p5{margin-left: .5em !important;}
.trans{transition: .5s !important;}
.ucase{text-transform: uppercase !important;}
.btn, .panel, .alert,.no-border-radius,.nav-tabs li a{-webkit-border-radius:0 !important;-moz-border-radius: 0 !important;border-radius:0 !important;}
.panel .panel-body{padding: .5em !important;}
ul.action-panel{list-style: none;margin-bottom: 0;}
ul.action-panel li{display: inline-block;}
.btn i{margin-right:5px !important;}
.form-inputs{color:rgba(0,0,0,.8) !important;padding: 1em 0 !important;}
.form-inputs label{padding: 0 !important;margin: .5em 0 0;text-transform: uppercase;}
.form-inputs input,.form-inputs select,.form-inputs textarea{margin-bottom: .5em;width:100%;border:1px solid rgba(0,0,0,0.5);outline: none;transition: .5s;}
.form-inputs input:focus,.form-inputs select:focus,.btn:focus,.btn:hover,.form-inputs textarea:focus{border:1px dashed rgba(0,0,0,.5);-webkit-box-shadow: 0 3px 1px rgba(0, 0, 0, .1);box-shadow: 0 3px 1px rgba(0, 0, 0, .1);}
.form-inputs input{padding:.2em .3em;}
.form-inputs input.pick{padding:.2em .3em .25em !important;}
.form-inputs select{padding:.2em .3em;cursor: pointer;}
.form-inputs textarea{resize: none;padding:.3em;}

.form-inputs-edit{color:rgba(0,0,0,.8) !important;padding: 1em 0 !important;}
.form-inputs-edit label{padding: 0 !important;margin: .5em 0 0;text-transform: uppercase;}
.form-inputs-edit input,.form-inputs-edit select,.form-inputs-edit textarea{margin-bottom: .5em;width:100%;border:1px solid rgba(0,0,0,0);border-top:1px solid rgba(0,0,0,0.1);outline: none;transition: .5s;}
.form-inputs-edit input:focus,.form-inputs-edit select:focus,.btn:focus,.btn:hover,.form-inputs-edit textarea:focus{border:1px dashed rgba(0,0,0,.5);-webkit-box-shadow: 0 3px 1px rgba(0, 0, 0, .1);box-shadow: 0 3px 1px rgba(0, 0, 0, .1);}
.form-inputs-edit input{padding:.2em .3em;}
.form-inputs-edit input.pick{padding:.2em .3em .25em !important;}
.form-inputs-edit select{padding:.05em .3em;cursor: pointer;}
.form-inputs-edit textarea{resize: none;padding:.3em;}
.alert-msg{position: fixed;right:.5vw;top: 12vh;z-index: 9999;border:1px dashed rgba(0,0,0,.1);text-align:right !important;}
a.a-block{display:block !important;padding:.5em;text-decoration:none;color:rgba(0,0,0,.8);cursor: pointer;}
.error,.error2,.error3,.alert,.success{display: none;}

.modal-dialog-width{width: 95vw;}
.border-one{border:1px solid rgba(0,0,0,1) !important;}
.bg-theme-blue{background-color:rgba(52, 152, 219,1) !important;}
.bg-ofwhite{background-color: rgba(237,237,237,1);}

.fixed-bottom{position: absolute;bottom: 0;left:0;right:0;}

.tr-cancel{cursor: pointer;}
.tr-cancel button.pcancel{opacity: 0;position: absolute;right:0em;margin-top:-.5em;padding: .4em .5em;font-size: 1.2em;color: #fff;background-color: #f44336;border-radius: 50% 0 0 50%;transition: .5s;}
.tr-cancel:hover button.pcancel{opacity: 1;color: #fff;right:.95em;transition: .5s;}
.tr-cancel a.pcancel2{opacity: 0;position: absolute;right:-1em;margin-top:-.5em;padding: .4em .5em;font-size: 1.2em;color: #fff;background-color: #f44336;border-radius: 50% 0 0 50%;transition: .5s;}
.tr-cancel:hover a.pcancel2{opacity: 1;color: #fff;right:0em;transition: .5s;}
.tr-cancel a.pop{border:1px dotted rgba(0,0,0,0.0);color:rgba(0,0,0,.8);}
.tr-cancel:hover a.pop{border:1px dotted rgba(255,255,255,1);background: rgba(0,0,0,.8);color:#fff;}
.tr-cancel a.pop:hover{}
li.bil-dtail{text-align: left !important;border:1px dashed rgba(0,0,0,.35) !important;padding: .3em .5em !important;font-weight: 600;}

.in-bill-menu{position: absolute;top:0;right:.5em;}
.in-bill-menu .ico-item{display:inline-block;position:relative;margin-left:15px;cursor:pointer;font-size:19px;color:rgba(44,62,80,1);}
.in-bill-menu .ico-item:hover{color:rgba(52, 152, 219,1);}
.in-bill-menu .ico-item .ico-item{margin-left:0;}
.in-bill-menu .ico-item .ico-item.mdi{font-size:24px;}
.in-bill-menu .ico-item .ico-item.mdi:before{font-size:24px;line-height:75px;position:relative;top:3px;}
.in-bill-menu .ico-item.mdi{font-size:24px;}
.in-bill-menu .ico-item.mdi:before{font-size:24px;line-height:75px;position:relative;top:3px;}
.in-bill-menu .ico-item.toggle-hover{position:relative;}
.in-bill-menu .ico-item.toggle-hover .toggle-content{opacity:0;visibility:hidden;position:absolute;top:100%;right:-10px;background:#ffffff;border:1px dashed rgba(0,0,0,.35) !important;transition:all 0.4s ease;-moz-transition:all 0.4s ease;-o-transition:all 0.4s ease;-ms-transition:all 0.4s ease;-webkit-transition:all 0.4s ease;transform:translate(0, 20px);-webkit-transform:translate(0, 20px);-moz-transform:translate(0, 20px);-o-transform:translate(0, 20px);-ms-transform:translate(0, 20px);box-shadow:0 0px 8px 0 rgba(0, 0, 0, 0.06), 0 1px 0px 0 rgba(0, 0, 0, 0.02);-moz-box-shadow:0 0px 8px 0 rgba(0, 0, 0, 0.06), 0 1px 0px 0 rgba(0, 0, 0, 0.02);-webkit-box-shadow:0 0px 8px 0 rgba(0, 0, 0, 0.06), 0 1px 0px 0 rgba(0, 0, 0, 0.02);z-index:99;}
.in-bill-menu .ico-item.toggle-hover .toggle-content ul{margin:0;padding:10px 15px 0;list-style:none;font-size:0;line-height:0;text-align:left;width:300px;}
.in-bill-menu .ico-item.toggle-hover .toggle-content ul li{width:calc(33.33333333%);display:inline-block;text-align:center;margin-bottom:10px;}
.in-bill-menu .ico-item.toggle-hover .toggle-content ul a{display:block;font-size:14px;line-height:24px;color:rgba(44, 62, 80,1);}
.in-bill-menu .ico-item.toggle-hover .toggle-content ul a>i{display:block;font-size:18px;line-height:28px;}
.in-bill-menu .ico-item.toggle-hover .toggle-content .read-more{display:block;background:#f5f5f5;color:rgba(44,62,80,1);font-size:14px;line-height:34px;text-align:center;}
.in-bill-menu .ico-item.toggle-hover .toggle-content .read-more:hover{color:rgba(52, 152, 219,1.0);}
.in-bill-menu .ico-item.toggle-hover.active .toggle-content{opacity:1;visibility:visible;transform:translate(0);-webkit-transform:translate(0);-moz-transform:translate(0);}

*{box-sizing:border-box;-moz-box-sizing:border-box;}
.page{width:21cm !important;padding:1em;margin:1cm auto 2cm;background:#fff !important;box-shadow:0 0 5px rgba(0, 0, 0, 0.1);height:auto !important;}
.subpage{min-height:34.3em !important;font-size:15px;width:100%;padding:0;border:1px solid rgba(0,0,0,1);border-top:none;border-bottom:none;}
@page{size:a4;margin:auto;}
@media print{
.page{margin:auto;padding-top:0 !important; border:initial;border-radius:initial;width:initial;min-height:initial;box-shadow:initial;background:initial;page-break-after:always;visibility:visible;}
.hidee {visibility:hidden;height: 0 !important;margin:0 !important;}
}
.invoice{width: 100%;padding: 0 !important;height: auto !important;}
.invoice th{font-weight:500 !important;}
.invoice-btm-border{border-bottom: 1px dashed rgba(0,0,0,.5);}
.invoice-top-border{border-top: 1px dashed rgba(0,0,0,.5);}
.invoice-ryt-border{border-right: 1px dashed rgba(0,0,0,.5);}
.invoice-left-border{border-left: 1px dashed rgba(0,0,0,.5);}
.invoice .invoice-brand{height: 100%;}
.invoice h3,.invoice h4,.invoice p{margin: 0 !important;}
.invoice .invoice-brand-adrs{height: 100%;padding-left:.5em;}
.invoice .invoice-panel-2 td{padding: .5em 0 !important;}
.invoice .invoice-panel-2 h4.customer{font-size: 1.1em;}
.invoice-panel-3 tr td{padding: .8em 0;}
.pad-amt{padding-right: .5em;}
.invoice-panel-ftr{padding:0 !important;text-align: center;}
.invoice-panel-ftr h4{font-size: .9em;margin-top:.35em;margin-bottom: 2.2em;}
.invoice-panel-ftr h4 span{font-size:120%;font-weight: 600;}
.invoice-panel-ftr p{font-size: .9em;margin-bottom: .2em;}
.invoice-particulars td{padding-bottom: .25em;padding-top: .25em;border-bottom: 1px solid rgba(0,0,0,.02);}
.va-btm{vertical-align: bottom !important;}
.va-top{vertical-align: top !important;}

.cards{padding: .5em;}
.card {overflow:hidden !important;padding:0em .5em !important;}
.card-block h4{margin-top: 4px !important;}
.card-block .rotate{z-index: 8;float: right;height: 100%;}
.card-block .rotate i{color: rgba(20, 20, 20, 0.15);position: absolute;left: 0;left: auto;right: -10px;bottom: 0;display: block;-webkit-transform: rotate(-44deg);-moz-transform: rotate(-44deg);-o-transform: rotate(-44deg);-ms-transform: rotate(-44deg);transform: rotate(-44deg);}
span.uline{background:rgba(0,0,0,.3);height:2px;width:5em;display:block;margin:-.7em auto 1em auto;transition:.5s;float: left;}
.update-form-table thead tr{border: none !important;}
.update-form-table tbody tr td.right{padding: 0 !important;border-left:2px solid rgba(0,0,0,.2);}
.update-form-table tbody tr td.right input,.update-form-table tbody tr td.right textarea{border:none;padding:.5em;width:100%;transition: .5s;outline:none;resize: none;}
.update-form-table tbody tr td.right input:focus,.update-form-table tbody tr td.right textarea:focus{background-color:rgba(0,0,0,.05);}

h4.rprt-mdl-hed{border-bottom: 1px solid rgba(0,0,0,.1);padding: .5em;margin: 0 !important;text-align: center !important;background: rgba(0,0,0,0.1);}